Subject: Re: Fixes tags could use some work in the mm-unstable tree

From: Andrew Morton <[email-masked]>
Date: Fri, 13 Mar 2026 09:17:38 -0700

On Fri, 13 Mar 2026 16:08:19 +0000 Mark Brown <[email-masked]> wrote:

> On Fri, Mar 13, 2026 at 09:03:40AM -0700, Andrew Morton wrote:
> > On Fri, 13 Mar 2026 17:32:20 +0200 Mike Rapoport <[email-masked]> wrote:
> > > On Fri, Mar 13, 2026 at 12:11:45PM +0000, Mark Brown wrote:
> 
> > > >   - No SHA1 recognised
> 
> > > Right, sha's in mm-unstable are, well, unstable :(
> 
> > > Maybe Andrew's tooling updates those when the patches move to mm-stable...
> 
> > I simply remove the hash, but that gets us emails from Mark.
> 
> > I actually track the same info in the filename -
> > kho-adopt-radix-tree-for-preserved-memory-tracking-fix.patch fixes
> > kho-adopt-radix-tree-for-preserved-memory-tracking.patch, so I guess
> > it's best for me to just remove the Fixes: line.
> 
> I'm guessing that given that it's a fix for a commit in a rebased branch
> it'll get squashed down into the patch it was fixing anyway?

yup, the quilt-level foo-fix.patch gets folded into foo.patch before I
move the patch into non-rebasing git.